Bug 428449 - umount doesn't call umount.gfs2 when fs is mounted with -n option
umount doesn't call umount.gfs2 when fs is mounted with -n option
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: util-linux (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 12:01 EST by Abhijith Das
Modified: 2008-01-25 18:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 18:41:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhijith Das 2008-01-11 12:01:18 EST
Description of problem:
This problem is related to bug 333961. I suspect umount relies on /etc/mtab to
identify the filesystem type in order to call the corresponding umount.gfs2
helper. If the filesystem was originally mounted with the -n option (don't
update mtab), umount doesn't call the umount.gfs2 helper at all.
Comment 1 Karel Zak 2008-01-11 19:27:00 EST
That's right behavior. There is nothing for fixing. You have to update /etc/mtab
by "mount -f". IMHO this is NOTABUG.
Comment 4 Karel Zak 2008-01-23 09:06:32 EST
What about to close this bug?  The related bug #333961 has been fixed.

Note You need to log in before you can comment on or make changes to this bug.